Subject: Re: bug#37899: [feature request] Add a command to stop edebugging.

From: Michael Heerdegen <[email-masked]>
Date: Thu, 24 Oct 2019 13:15:31 +0200

HaiJun Zhang <[email-masked]> writes:

> I edebug(use edebug-defun) some functions in file.el and then close
> file.el. When I open a new file, emacs aborts and show a buffer with
> edebug error(It can’t find the original source buffer to debug).
>
> And I even can’t quit emacs because there are functions in
> kill-emacs-hook which try to open file and save data(such as recentf).
>
> It will be good if there is a command to stop edebugging.

And as Stefan suggested, Edebug should be smart enough to offer this to
the user by itself automatically.

In current master (cancel-edebug-on-entry nil) removes
`edebug-on-entry' on all functions, and edebug-remove-instrumentation
removes Edebug instrumentation from all functions.  Would just using
these be appropriate?

Michael.